%define module_name GraphQL-Plugin-Convert-DBIC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBIx/Class/Schema.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(GraphQL.pm) perl(JSON/MaybeXS.pm) perl(Lingua/EN/Inflect/Number.pm) perl(SQL/Translator.pm) perl(Test/More.pm) perl(Test/Snapshot.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: convert DBIx::Class schema to GraphQL schema
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETJ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements the the GraphQL::Plugin::Convert manpage API to convert
a the DBIx::Class::Schema manpage to the GraphQL::Schema manpage etc.

Its `Query' type represents a guess at what fields are suitable, based
on providing a lookup for each type (a the DBIx::Class::ResultSource manpage)
by each of its columns.

The `Mutation' type is similar: one `create/update/delete(type)' per
"real" type.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/G*
%perl_vendor_privlib/S*

%changelog
* Mon May 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- updated by package builder

* Fri Apr 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- updated by package builder

* Fri Apr 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- updated by package builder

* Wed Feb 27 2019 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- updated by package builder

* Fri Feb 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- updated by package builder

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- updated by package builder

* Sat Feb 09 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sat Aug 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Sat Nov 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Nov 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

